## auto-apt 0.3.23

=== Makefile ===
#
# Makefile
# $Id: Makefile,v 1.13 2001/12/19 16:36:05 ukai Exp $
#
DESTDIR=
package=auto-apt
SHLIBDIR=$(DESTDIR)/lib
BINDIR=$(DESTDIR)/usr/bin
LIBDIR=$(DESTDIR)/usr/lib/$(package)
CACHEDIR=$(DESTDIR)/var/cache/$(package)
ETCDIR=$(DESTDIR)/etc/$(package)

DEFS=-DUSE_DETECT -DDEBUG
CC=gcc
CFLAGS=-g -Wall -finline-functions -Ipkgcdb $(DEFS)

all: auto-apt.so auto-apt-pkgcdb

auto-apt.so: auto-apt.o pkgcdb/pkgcdb2.a
	$(CC) -shared -o auto-apt.so auto-apt.o -lc -ldl 

auto-apt.o: auto-apt.c 
	$(CC) $(CFLAGS) -fPIC -o auto-apt.o -c auto-apt.c

auto-apt-pkgcdb: auto-apt-pkgcdb.o pkgcdb/pkgcdb2.a
	$(CC) $(CFLAGS) -o auto-apt-pkgcdb auto-apt-pkgcdb.o pkgcdb/pkgcdb2.a

pkgcdb/pkgcdb2.a:
	(cd pkgcdb && \
	 $(MAKE) pkgcdb2.a CC="$(CC)" DEFS="$(DEFS)" CFLAGS="$(CFLAGS)")

install: all
	install -m 755 auto-apt.sh $(BINDIR)/auto-apt
	install -m 755 auto-apt-pkgcdb $(LIBDIR)/
	install -m 755 auto-apt-installer.pl $(LIBDIR)/auto-apt-installer
	install -m 644 auto-apt.so $(SHLIBDIR)/
	install -m 644 paths.list $(ETCDIR)/
#	install -m 644 paths.list commands.list $(ETCDIR)/

clean:
	(cd pkgcdb && $(MAKE) clean)
	-rm -f auto-apt.so auto-apt.o
	-rm -f auto-apt-pkgcdb auto-apt-pkgcdb.o
	-rm -rf cache

distclean: clean
	(cd pkgcdb && $(MAKE) distclean)
	-rm -f *~ *.bak *.orig *.db *.o *.so

## auto-apt 0.3.15

=== debian/changelog ===
auto-apt (0.3.15) unstable; urgency=low

  * The "Sympathy For The Devil" release
  * add support rsh|ssh method, closes: Bug#94105
  * fix typo in examples/auto-apt-get-menu.sh, closes: Bug#127536

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  6 Jan 2002 03:41:37 +0900

auto-apt (0.3.14) unstable; urgency=low

  * remove apt, sudo and perl dependency from Depends:
    move these to Recommends:.
    This is because these are only required when user uses auto-apt as
    automatic installation tool.   For users who want to search package
    by file, these packages are not requires.
    See also Bug#125386: ITP: apt-file

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 20 Dec 2001 01:51:37 +0900

auto-apt (0.3.13) unstable; urgency=low

  * use $(CC) instead of $(LD)
    closes: Bug#105593

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 18 Jul 2001 00:13:07 +0900

auto-apt (0.3.12) unstable; urgency=low

  * The "Ballad of Fallen Angels" release
  * fix requirepkg() that auto-apt debuild want to 
    apt-get 'build-essential' even if installed
    closes: Bug#101120
  * update paths.list

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 19 Jun 2001 23:19:24 +0900

auto-apt (0.3.11) unstable; urgency=low

  * The "Gateway Shuffle" release
  * adapt apt-config change in apt 0.5
    fix apt sources.list:etc/apt//SOURCES_LIST not found
    (thanks <taru@debian.org>)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 27 Feb 2001 20:27:52 +0900

auto-apt (0.3.10) unstable; urgency=low

  * The "Honky Tonk Women" release
  * fix perl dependency, closes: Bug#80689

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 25 Jan 2001 13:00:34 +0900

auto-apt (0.3.9) unstable; urgency=low

  * The "Stray Dog Strut" release
  * apt is using ftp passive mode by default so auto-apt do the same.
    closes: Bug#78245 (thanks Gerfried Fuchs <alfie@debian.org>)
  * install build-essential if necessary

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  6 Dec 2000 00:35:44 +0900

auto-apt (0.3.8) unstable; urgency=low

  * The "Asteroid Blues" release
  * check libc.so path, closes: Bug#78685
  * check apt.conf and add --passive-ftp if necessary, closes: Bug#78254
  * set proxy configuration using apt.conf

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  4 Dec 2000 23:18:22 +0900

auto-apt (0.3.7) unstable; urgency=low

  * give a chance of shell when apt-get install failed in auto-apt-installer

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 20 Nov 2000 23:51:05 +0900

auto-apt (0.3.6) unstable; urgency=low

  * fix auto-apt search -f
  * remove bashism from /usr/bin/auto-apt, closes: Bug#77074

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 17 Nov 2000 02:03:40 +0900

auto-apt (0.3.5) unstable; urgency=low

  * Add -f option to auto-apt check, list, search
    to search Contents-*.gz itself instead of auto-apt's package db

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  3 Nov 2000 04:21:00 +0900

auto-apt (0.3.4) unstable; urgency=low

  * segfault againt invalid Contents data.
    fix this by checking valid chars for package name/filename

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 23 Oct 2000 16:51:23 +0900

auto-apt (0.3.3) unstable; urgency=low

  * fix bus error on sparc
  * "auto-apt debuild": surpress garbage output

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 19 Oct 2000 19:13:04 +0900

auto-apt (0.3.2) unstable; urgency=low

  * remove bashism from /usr/bin/auto-apt, closes: Bug#69491

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 28 Aug 2000 22:52:15 +0900

auto-apt (0.3.1) unstable; urgency=low

  * don't print "auto-apt pkgcontents.bin load failed, auto-apt off"
    because it cause some trouble if no pkgcontents.bin
  * add examples/auto-apt-get-menu.sh

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 21 Jul 2000 02:05:47 +0900

auto-apt (0.3) unstable; urgency=low

  * Initial Release to Debian
    - new contents database, speedup to create db
    - separate installer backend with X support

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 17 Jul 2000 00:27:13 +0900

auto-apt (0.2.99.8) unstable; urgency=low

  * (auto-apt-installer.pl) fix libgtk-perl installation
  * (auto-apt-installer.pl) use tput smcup,rmcup
  * (auto-apt.c) fix no auto-installation with -L option
  * (auto-apt.sh) fix regex for sources.list 
  * (debian/control) add perl dependency

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 14 Jul 2000 17:39:19 +0900

auto-apt (0.2.99.7.1) unstable; urgency=low

  * [fix critical bug] check auto-apt-installer loop

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 14 Jul 2000 01:51:57 +0900
 

auto-apt (0.2.99.7) unstable; urgency=low

  * X interface enabled by default
  * automatic install: libgtk-perl and xterm

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 14 Jul 2000 01:28:35 +0900

auto-apt (0.2.99.6) unstable; urgency=low

  * select package in auto-apt-installer
  * add support Gtk package selection

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 13 Jul 2000 22:12:54 +0900

auto-apt (0.2.99.5) unstable; urgency=low

  * [add] auto-apt-installer
    apt-get install helper program

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 13 Jul 2000 18:34:51 +0900

auto-apt (0.2.99.4) unstable; urgency=low

  * use -X instead of -x (like ssh)
  * more verbose auto-apt status

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 13 Jul 2000 13:44:57 +0900

auto-apt (0.2.99.3) unstable; urgency=low

  * Support X window system.
    change -x option
    old -x hooks => -p hooks

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 13 Jul 2000 11:36:54 +0900

auto-apt (0.2.99.2) unstable; urgency=low

  * don't link with libdb.
  * documentation cleanup.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 12 Jul 2000 12:46:07 +0900

auto-apt (0.2.99.1) unstable; urgency=low

  * /etc/auto-apt/paths.list as conffiles

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 12 Jul 2000 10:52:43 +0900

auto-apt (0.2.99.0) experimental; urgency=low

  * new package contents database support

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 11 Jul 2000 01:57:46 +0900



=== debian/control ===
Source: auto-apt
Section: admin
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Standards-Version: 3.1.0
Build-Depends: binutils, cpio, debhelper, devscripts, libc6-dev

Package: auto-apt
Architecture: any
Depends: ${shlibs:Depends}
Recommends: apt, sudo, ${perl:Depends}, wget, dpkg-dev
Suggests: x-terminal-emulator, libgtk-perl, build-essential
Description: package search by file and on-demand package installation tool
 auto-apt checks the file access of programs running within its
 environments, and if a program tries to access a file known to
 belong in an uninstalled package, auto-apt will install that
 package using apt-get.  This feature requires apt and sudo to work.
 .
 It also provides simple database to search which package contains
 a requesting file.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## auto-apt 0.3.20

=== debian/changelog ===
auto-apt (0.3.20) unstable; urgency=low

  * auto-apt.sh: add install command
  * paths.list: add /usr/lib/pkgconfig/
  * auto-apt.es.1: added.  spanish manpage
    closes: Bug#206202
  * auto-apt.sh: see /etc/auto-apt/sources.list instead /etc/apt/sources.list.
     if not found, this file is symlinked to /etc/apt/sources.list.
     if you want to have different sources.list for auto-apt than apt-get,
     you can create /etc/auto-apt/sources.list.
    closes: Bug#202979

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 20 Mar 2004 02:50:29 +0900

auto-apt (0.3.19) unstable; urgency=low

  * fix FTBFS with gcc-3.3. closes: Bug#195085
  - auto-apt-pkg.c (usage): don't use multiline string literals
  - auto-apt-pkg.c: include <time.h> for time()
  - pkgcdb/mempool.c (mempool_restore): fix warnings: 
  	concatenation of string literals with __FUNCTION__ is deprecated

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  2 Jun 2003 01:28:46 +0900

auto-apt (0.3.18) unstable; urgency=low

  * use --timestamping --continue option for wget
    closes: Bug#187658

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  6 Apr 2003 02:29:39 +0900

auto-apt (0.3.17) unstable; urgency=low

  * show progress bar while downloading Contents.gz by wget
    closes: Bug#146178, Bug#162068

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 26 Sep 2002 01:40:38 +0900

auto-apt (0.3.16) unstable; urgency=low

  * fix RE bug reading sources.list, closes: Bug#160662
  * fix obscur message for a search command when db is not initialised
    closes: Bug#146177

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 25 Sep 2002 00:28:08 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
-Standards-Version: 3.1.0
+Standards-Version: 3.5.9
 Build-Depends: binutils, cpio, debhelper, devscripts, libc6-dev
 
 Package: auto-apt

## auto-apt 0.3.21

=== debian/changelog ===
auto-apt (0.3.21) unstable; urgency=low

  * debian/postrm; remove cache file when purged.
    closes: Bug#275579
  * auto-apt.sh: remove XSI:ism
    closes: Bug#259289, Bug#375931
  * auto-apt.1: fix typos
    closes: Bug#307025, Bug#275278
  * apply patch to auto-apt.es.1
    closes: Bug#257829
  * add auto-apt.fr.1
    closes: Bug#277535
  * debian/control: fix typo in description
    closes: Bug#243994
  * debian/{compat,rules}: debhelper compat level to 4

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 23 Jul 2006 09:20:01 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
 Standards-Version: 3.5.9
-Build-Depends: binutils, cpio, debhelper, devscripts, libc6-dev
+Build-Depends: binutils, cpio, debhelper (>= 4.0.0), devscripts
 
 Package: auto-apt
 Architecture: any
@@ -17,4 +17,4 @@
  package using apt-get.  This feature requires apt and sudo to work.
  .
  It also provides simple database to search which package contains
- a requesting file.
+ a requested file.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=1
 
 build: build-stamp
 build-stamp:
@@ -29,8 +26,8 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	# Add here commands to install the package into debian/auto-apt.
+	$(MAKE) install DESTDIR=`pwd`/debian/auto-apt
 
 
 # Build architecture-independent files here.

## auto-apt 0.3.21+nmu1

=== debian/changelog ===
auto-apt (0.3.21+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Move devscripts from Build-Depends to Recommends. It's not used
    in the build process but in the program itself.
    (Closes: #475259)

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 03 May 2008 18:04:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
 Standards-Version: 3.5.9
-Build-Depends: binutils, cpio, debhelper (>= 4.0.0), devscripts
+Build-Depends: binutils, cpio, debhelper (>= 4.0.0)
 
 Package: auto-apt
 Architecture: any
 Depends: ${shlibs:Depends}
-Recommends: apt, sudo, ${perl:Depends}, wget, dpkg-dev
+Recommends: apt, sudo, ${perl:Depends}, wget, dpkg-dev, devscripts
 Suggests: x-terminal-emulator, libgtk-perl, build-essential
 Description: package search by file and on-demand package installation tool
  auto-apt checks the file access of programs running within its

## auto-apt 0.3.22

=== debian/changelog ===
auto-apt (0.3.22) unstable; urgency=low

  * QA upload.
    - ACK NMU.
    - Move to packaging format "3.0 (native)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Maintainer): Set to Debian QA Group. Package orphaned
      in Bug#541016.
    - (Build-Depends): update to debhelper 7.1. Add quilt.
    - (Depends): add ${misc:Depends}.
    - (Standards-Version): update to 3.8.4
  * debian/patches
    - (Number 10): Fix FTBFS(hurd-i386): PATH_MAX undeclared
      (Closes: #257087).
    - (Number 20): Fix conflicting wget(1) options (Closes: #481658).
      Patch thanks to Krzysztof Burghardt <krzysztof@burghardt.pl>
  * debian/README.source
    - New file.
  * debian/rules
    - Install quilt.
    - (install): use dh_prep. Adjust Makefile call.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 01 Apr 2010 07:25:46 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: auto-apt
 Section: admin
 Priority: optional
-Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
-Standards-Version: 3.5.9
-Build-Depends: binutils, cpio, debhelper (>= 4.0.0)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.8.4
+Build-Depends: binutils, cpio, debhelper (>= 7.1), quilt
 
 Package: auto-apt
 Architecture: any
-Depends: ${shlibs:Depends}
-Recommends: apt, sudo, ${perl:Depends}, wget, dpkg-dev, devscripts
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: ${perl:Depends}, apt, sudo, wget, dpkg-dev, devscripts
 Suggests: x-terminal-emulator, libgtk-perl, build-essential
 Description: package search by file and on-demand package installation tool
  auto-apt checks the file access of programs running within its

=== debian/rules ===
--- 
+++ 
@@ -5,26 +5,28 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/quilt/quilt.make
+
 build: build-stamp
-build-stamp:
+build-stamp: patch
 	dh_testdir
 	# Add here commands to compile the package.
 	$(MAKE)
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
+	[ ! -f Makfile ] || $(MAKE) distclean
 
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	# Add here commands to install the package into debian/auto-apt.
 	$(MAKE) install DESTDIR=`pwd`/debian/auto-apt
@@ -57,7 +59,6 @@
 	dh_fixperms
 	# You may want to make some executables suid here.
 #	dh_suidregister
-#	dh_makeshlibs
 	dh_installdeb
 	dh_perl
 	dh_shlibdeps

## auto-apt 0.3.23

=== debian/changelog ===
auto-apt (0.3.23) unstable; urgency=low

  * QA upload.
  * Replace PATH_MAX to build on GNU/Hurd. (Closes: #659025).
    - Thanks to Tanguy Le Carrour for the patch.
  * Allow spaces in sources.list. (Closes: #667052).
    - Thanks to Mateusz Poszwa for the patch.
  * Change debian/rules to utilize dh 7.
  * Add debian/manpages file.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 13 May 2013 18:31:46 -0400

## auto-apt 0.3.23ubuntu0.14.04.1

=== debian/changelog ===
auto-apt (0.3.23ubuntu0.14.04.1) trusty; urgency=medium

  * No change rebuild from Debian auto-apt 0.3.24, which fixes only these bugs:
    - Patches supplied by Bruno Nova, with thanks.
    - Plug a memory leak caused by not freeing lines read from stdin. (LP:
      #1300987)
    - Use dpkg --print-architecture instead of deprecated dpkg
      --print-installation-architecture (the latter causes a warning). (LP:
      #1300991)
    - Accept no leading spaces at the start of a line in sources.list. (LP:
      #1300991)

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 03 Jun 2014 13:32:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.4
 Build-Depends: binutils, cpio, debhelper (>= 7.1), quilt
 
 Package: auto-apt

## auto-apt 0.3.24

=== pkgcdb/Makefile ===
#
# Makefile
# $Id: Makefile,v 1.1 2000/07/12 03:42:47 ukai Exp $
#

DEFS=
CC=gcc
AR=ar
CFLAGS=-g -Wall $(DEFS)
OBJS=pkgcdb2.o pathnode.o pkgtab.o strtab.o mempool.o

pkgcdb2.a: $(OBJS)
	$(AR) rc pkgcdb2.a $(OBJS)

clean:
	-rm -f $(OBJS) pkgcdb2.a

distclean: clean
	-rm -f *~ *.bak *.orig *.o

=== debian/changelog ===
auto-apt (0.3.24) unstable; urgency=medium

  * QA upload.
  * Patches supplied by Bruno Nova, with thanks.
  * Plug a memory leak caused by not freeing lines read from stdin. (LP:
    #1300987)
  * Use dpkg --print-architecture instead of deprecated dpkg
    --print-installation-architecture (the latter causes a warning). (LP:
    #1309991)
  * Accept no leading spaces at the start of a line in sources.list. (LP:
    #1309991)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 01 May 2014 10:31:33 +0100
